petsc-3.12.1 2019-10-22
Report Typos and Errors

# TaoBRGNSetRegularizerObjectiveAndGradientRoutine

Sets the user-defined regularizer call-back function into the algorithm.

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoBRGNSetRegularizerObjectiveAndGradientRoutine(Tao tao,PetscErrorCode (*func)(Tao,Vec,PetscReal *,Vec,void*),void *ctx)

### Input Parameters

+ tao - the Tao context . func - function pointer for the regularizer value and gradient evaluation - ctx - user context for the regularizer

### Level

advanced

### Location

src/tao/leastsquares/impls/brgn/brgn.c

### Examples

src/tao/leastsquares/examples/tutorials/tomography.c.html
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages